Skip to main content

APIs

Create Fee

Creates a fee for an Account.

VerbPOST
URLhttps://api.s.unit.sh/fees
Required Scopeaccounts-write
Data Typefee
Timeout (Seconds)5

Attributes

NameTypeDescription
amountintegerThe amount (in cents) to charge the account.
descriptionstringDescription of the fee (maximum of 50 characters).
tags OptionalobjectOptional. See Tags.
idempotencyKey OptionalstringOptional, but strongly recommended. See Idempotency.

Relationships

NameTypeDescription
accountJSON:API RelationshipThe account to charge the fee.
Example Request:
curl -X POST 'https://api.s.unit.sh/fees'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "fee",
"attributes": {
"amount": 1000,
"description": "Monthly Subscription"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10097"
}
}
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
dataFeeThe requested resource after the operation was completed.
Example Response:
{
"data": {
"type": "fee",
"id": "1234",
"attributes": {
"amount": 1000,
"description": "Monthly Subscription"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10097"
}
}
}
}
}

Reverse Fee

Reverse a fee for an Account.

VerbPOST
URLhttps://api.s.unit.sh/fees/reverse
Required Scopeaccounts-write
Data TypefeeReversal
Timeout (Seconds)5

Attributes

NameTypeDescription
descriptionstringDescription of the fee (maximum of 50 characters).
tags OptionalobjectOptional. See Tags.
idempotencyKey OptionalstringOptional, but strongly recommended. See Idempotency.

Relationships

NameTypeDescription
accountJSON:API RelationshipThe account to reverse the fee.
transactionJSON:API RelationshipThe transaction to reverse.
Example Request:
curl -X POST 'https://api.s.unit.sh/fees/reverse'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "feeReversal",
"attributes": {
"description": "Monthly Subscription - reverse"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10097"
}
},
"transaction": {
"data": {
"type": "transaction",
"id": "1"
}
}
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
dataFeeReversalThe requested resource after the operation was completed.
Example Response:
{
"data": {
"type": "fee reversal",
"id": "2",
"attributes": {
"amount": 100,
"description": "Monthly Subscription - reverse"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10097"
}
},
"transaction": {
"data": {
"type": "transaction",
"id": "1"
}
}
}
}
}